Difference between revisions of "TechDraw Midpoints"

From FreeCAD Documentation
Jump to: navigation, search
m ([[ | ]])
 
Line 15: Line 15:
 
|Name=TechDraw Midpoints
 
|Name=TechDraw Midpoints
 
|Icon=techdraw-midpoint.svg
 
|Icon=techdraw-midpoint.svg
|MenuLocation=TechDraw → Midpoints
+
|MenuLocation=TechDraw → Add Vertices → Add midpoints vertices
 
|Workbenches=[[TechDraw Module|TechDraw]]
 
|Workbenches=[[TechDraw Module|TechDraw]]
 
|SeeAlso=[[TechDraw CosmeticVertex|TechDraw CosmeticVertex]], [[TechDraw Quadrant|TechDraw Quadrant]]
 
|SeeAlso=[[TechDraw CosmeticVertex|TechDraw CosmeticVertex]], [[TechDraw Quadrant|TechDraw Quadrant]]

Latest revision as of 13:55, 8 December 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano

Techdraw-midpoint.svg TechDraw Midpoints

Menu location
TechDraw → Add Vertices → Add midpoints vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw CosmeticVertex, TechDraw Quadrant


Description

The Midpoints tool adds Cosmetic Vertices at the midpoints of one or more Edges.

TechDraw CosmeticMidpoint Sample.png

Cosmetic Vertices at midpoints of Edges


How to use

  1. Select one or more Edges in a View.
  2. Press the Techdraw-midpoint.svg Midpoints button
  3. Cosmetic Vertices will be added at the mid-point(s) of the Edge(s).


Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()